﻿﻿var lastActive = null;

// Quick feature detection
function isTouchEnabled() {
    return (('ontouchstart' in window)
        || (navigator.MaxTouchPoints > 0)
        || (navigator.msMaxTouchPoints > 0));
}

function addEvent(id, relationId, mapId, mapConfig) {
    console.log(id);
    var _Textobj = $('#' + id + ',' + '#' + mapConfig[id]['namesId']);
    console.log(_Textobj);
    var _h = $('#'+ mapId).height();
    var _obj = $('#' + id);

    $('#' + mapConfig[id]['namesId']).find('tspan').attr({'fill': mapConfig['default']['namescolor']});
    _obj.attr({'fill': mapConfig[id]['upcolor'], 'stroke': mapConfig['default']['bordercolor']});
    _Textobj.attr({'cursor': 'default'});

    if (mapConfig[id]['enable'] == true) {
        if (isTouchEnabled()) {

            //clicking effect
            _Textobj.on('touchstart', function (e) {
                var touch = e.originalEvent.touches[0];
                $('#' + id).css({'fill': mapConfig[id]['downcolor']});
            });
            _Textobj.on('touchend', function () {
                $('#tip').hide();
            })
        } else {
            _Textobj.attr({'cursor': 'pointer'});
            _Textobj.hover(function () {

                //moving in/out effect

                _obj.css({'fill': mapConfig[id]['overcolor']});
            }, function () {
                if (!mapConfig[id]['isActive']) {
                    _obj.css({'fill': mapConfig[id]['upcolor']});
                }
            });

            //clicking effect
            _Textobj.mousedown(function () {
                // window.location.href = mapConfig[id].url;
                //$('.map-states-list .state').removeClass('show');
                //$('#map-state-item_' + id.split('_')[1]).addClass('show');

                // _obj.css({'fill': mapConfig[id]['downcolor'] = 'rgb(140 193 20 / 50%)'});

                if (lastActive != null) {
                    mapConfig[lastActive]["isActive"] = false;
                    $('#' + lastActive).css({'fill': mapConfig[lastActive]['upcolor']});
                }
                mapConfig[id]["isActive"] = true;
                lastActive = id;
            });
            _Textobj.mouseup(function () {
                //$('section.map_box').hide();
                console.log(mapConfig[id].name);
                //$('section[data-map-id="' + id + '"]').show();
            });
        }
    }
}

$(function () {

    let states = 51;
    let ignoreStateID = []; // example: [47, 37] - ignore WA and OR states

    for (let i = 1; i <= states; i++) {
        if (!ignoreStateID.includes(i)) {
            addEvent('first_map_' + i, '', 'first_map', map_config);
        }
    }

    let states_2 = 51;
    let ignoreStateID_2 = []; // example: [47, 37] - ignore WA and OR states

    for (let i = 1; i <= states_2; i++) {
        if (!ignoreStateID_2.includes(i)) {
            addEvent('second_map_' + i, '', 'second_map', map_config_2);
        }
    }
});
