let redColor = '#ff2222';
let greenColor = '#45c416';
let yellowColor = '#ffd122';

let websiteUrl = window.location.origin,
    map_config = {
    'default':{
        'bordercolor':'#9CA8B6', //inter-state borders
        // 'lakescolor':'#66CCFF', //lakes color
        //'shadowcolor':'#000000', //shadow color below the map
        // 'shadowOpacity':'50', //shadow opacity, value, 0-100
        'namescolor':'#ffffff', //color of the abbreviations
        //'namesShadowColor':'#666666', //tooltip shadow color
    },
    'first_map_1':{
        'featuredName':'alabama',
        'namesId':'AL1',//name's ID (Don't change it)
        'name': 'ALABAMA',  //state name
        'url':websiteUrl+'/territory.html', //Goto URL
        'target':'_blank', //open link in new window:_blank, open in current window:_self
        'upcolor':greenColor, //state's color when page loads
        'overcolor':greenColor, //state's color when mouse hover
        'downcolor':greenColor,//state's color when mouse clicking
        'enable':true//true/false to enable/disable this state
    },
    'first_map_2':{
        'featuredName':'linkTo',
        'namesId':'AK1',
        'name': 'ALASKA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_3':{
        'featuredName':'arizona',
        'namesId':'AZ1',
        'name': 'ARIZONA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_4':{
        'featuredName':'linkTo',
        'namesId':'AR1',
        'name': 'ARKANSAS',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_5':{
        'featuredName':'california',
        'namesId':'CA1',
        'name': 'CALIFORNIA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    },
    'first_map_6':{
        'featuredName':'linkTo',
        'namesId':'CO1',
        'name': 'COLORADO',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_7':{
        'featuredName':'linkTo',
        'namesId':'CT1',
        'name': 'CONNECTICUT',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    },
    'first_map_8':{
        'featuredName':'linkTo',
        'namesId':'DE1',
        'name': 'DELAWARE',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_9':{
        'featuredName':'florida',
        'namesId':'FL1',
        'name': 'FLORIDA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_10':{
        'featuredName':'georgia',
        'namesId':'GA1',
        'name': 'GEORGIA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_11':{
        'featuredName':'linkTo',
        'namesId':'HI1',
        'name': 'HAWAII',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    },
    'first_map_12':{
        'featuredName':'linkTo',
        'namesId':'ID1',
        'name': 'IDAHO',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_13':{
        'featuredName':'linkTo',
        'namesId':'IL1',
        'name': 'ILLINOIS',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    },
    'first_map_14':{
        'featuredName':'linkTo',
        'namesId':'IN1',
        'name': 'INDIANA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    },
    'first_map_15':{
        'featuredName':'linkTo',
        'namesId':'IA1',
        'name': 'IOWA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_16':{
        'featuredName':'linkTo',
        'namesId':'KS1',
        'name': 'KANSAS',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_17':{
        'featuredName':'linkTo',
        'namesId':'KY1',
        'name': 'KENTUCKY',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_18':{
        'featuredName':'linkTo',
        'namesId':'LA1',
        'name': 'LOUISIANA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_19':{
        'featuredName':'linkTo',
        'namesId':'ME1',
        'name': 'MAINE',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_20':{
        'featuredName':'linkTo',
        'namesId':'MD1',
        'name': 'MARYLAND',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    },
    'first_map_21':{
        'featuredName':'linkTo',
        'namesId':'MA1',
        'name': 'MASSACHUSETTS',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_22':{
        'featuredName':'linkTo',
        'namesId':'MI1',
        'name': 'MICHIGAN',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_23':{
        'featuredName':'linkTo',
        'namesId':'MN1',
        'name': 'MINNESOTA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    },
    'first_map_24':{
        'featuredName':'linkTo',
        'namesId':'MS1',
        'name': 'MISSISSIPPI',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_25':{
        'featuredName':'missouri',
        'namesId':'MO1',
        'name': 'MISSOURI',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_26':{
        'featuredName':'linkTo',
        'namesId':'MT1',
        'name': 'MONTANA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_27':{
        'featuredName':'linkTo',
        'namesId':'NE1',
        'name': 'NEBRASKA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_28':{
        'featuredName':'linkTo',
        'namesId':'NV1',
        'name': 'NEVADA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_29':{
        'featuredName':'linkTo',
        'namesId':'NH1',
        'name': 'NEW HAMPSHIRE',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_30':{
        'featuredName':'linkTo',
        'namesId':'NJ1',
        'name': 'NEW JERSEY',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_31':{
        'featuredName':'linkTo',
        'namesId':'NM1',
        'name': 'NEW MEXICO',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_32':{
        'featuredName':'linkTo',
        'namesId':'NY1',
        'name': 'NEW YORK',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    },
    'first_map_33':{
        'featuredName':'north-carolina',
        'namesId':'NC1',
        'name': 'NORTH CAROLINA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_34':{
        'featuredName':'linkTo',
        'namesId':'ND1',
        'name': 'NORTH DAKOTA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    },
    'first_map_35':{
        'featuredName':'linkTo',
        'namesId':'OH1',
        'name': 'OHIO',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_36':{
        'featuredName':'linkTo',
        'namesId':'OK1',
        'name': 'OKLAHOMA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_37':{
        'featuredName':'oregon',
        'namesId':'OR1',
        'name': 'OREGON',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_38':{
        'featuredName':'linkTo',
        'namesId':'PA1',
        'name': 'PENNSYLVANIA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_39':{
        'featuredName':'linkTo',
        'namesId':'RI1',
        'name': 'RHODE ISLAND',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    },
    'first_map_40':{
        'featuredName':'linkTo',
        'namesId':'SC1',
        'name': 'SOUTH CAROLINA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    },
    'first_map_41':{
        'featuredName':'linkTo',
        'namesId':'SD1',
        'name': 'SOUTH DAKOTA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    },
    'first_map_42':{
        'featuredName':'tennessee',
        'namesId':'TN1',
        'name': 'TENNESSEE',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_43':{
        'featuredName':'texas',
        'namesId':'TX1',
        'name': 'TEXAS',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_44':{
        'featuredName':'linkTo',
        'namesId':'UT1',
        'name': 'UTAH',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_45':{
        'featuredName':'linkTo',
        'namesId':'VT1',
        'name': 'VERMONT',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_46':{
        'featuredName':'linkTo',
        'namesId':'VA1',
        'name': 'VIRGINIA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    },
    'first_map_47':{
        'featuredName':'washington',
        'namesId':'WA1',
        'name': 'WASHINGTON',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    },
    'first_map_48':{
        'featuredName':'linkTo',
        'namesId':'WV1',
        'name': 'WEST VIRGINIA',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_49':{
        'featuredName':'linkTo',
        'namesId':'WI1',
        'name': 'WISCONSIN',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    },
    'first_map_50':{
        'featuredName':'linkTo',
        'namesId':'WY1',
        'name': 'WYOMING',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':greenColor,
        'overcolor':greenColor,
        'downcolor':greenColor,
        'enable':true
    },
    'first_map_51':{
        'featuredName':'linkTo',
        'namesId':'DC1',
        'name': 'WASHINGTON DC',
        'url':websiteUrl+'/territory.html',
        'target':'_blank',
        'upcolor':redColor,
        'overcolor':redColor,
        'downcolor':redColor,
        'enable':true
    }
};

